## org.opencyc.xml
Class ImportSonatDaml.DamlDocInfo

    java.lang.Object
      |
      +--org.opencyc.xml.ImportSonatDaml.DamlDocInfo

Enclosing class:
  ImportSonatDaml

protected class ImportSonatDaml.DamlDocInfo
extends java.lang.Object

Provides a container for specifying the SONAT DAML document paths and the Cyc import microtheory for each.

Field Summary
`protected java.lang.String` `damlPath` path (url) to the SONAT DAML document
`protected java.lang.String` `importMt` microtheory into which DAML content is imported

Constructor Summary
`ImportSonatDaml.DamlDocInfo(java.lang.String damlPath, java.lang.String importMt)`

Method Summary
`java.lang.String` `getDamlPath()` Returns the daml document path.
`java.lang.String` `getImportMt()` Returns the microtheory into which DAML content is imported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### damlPath

    protected java.lang.String damlPath

  path (url) to the SONAT DAML document

### importMt

    protected java.lang.String importMt

  microtheory into which DAML content is imported

Constructor Detail

### ImportSonatDaml.DamlDocInfo

    public ImportSonatDaml.DamlDocInfo(java.lang.String damlPath,
                                       java.lang.String importMt)

Method Detail

### getDamlPath

    public java.lang.String getDamlPath()

  Returns the daml document path.
  Returns:
    the daml document path

### getImportMt

    public java.lang.String getImportMt()

  Returns the microtheory into which DAML content is imported.
  Returns:
    the microtheory into which DAML content is imported